﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/dms/model/DescribeRecommendationLimitationsResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::DatabaseMigrationService::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

DescribeRecommendationLimitationsResult::DescribeRecommendationLimitationsResult()
{
}

DescribeRecommendationLimitationsResult::DescribeRecommendationLimitationsResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

DescribeRecommendationLimitationsResult& DescribeRecommendationLimitationsResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }

  if(jsonValue.ValueExists("Limitations"))
  {
    Aws::Utils::Array<JsonView> limitationsJsonList = jsonValue.GetArray("Limitations");
    for(unsigned limitationsIndex = 0; limitationsIndex < limitationsJsonList.GetLength(); ++limitationsIndex)
    {
      m_limitations.push_back(limitationsJsonList[limitationsIndex].AsObject());
    }
  }



  return *this;
}
