﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/internetmonitor/model/ListHealthEventsResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::InternetMonitor::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

ListHealthEventsResult::ListHealthEventsResult()
{
}

ListHealthEventsResult::ListHealthEventsResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

ListHealthEventsResult& ListHealthEventsResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("HealthEvents"))
  {
    Aws::Utils::Array<JsonView> healthEventsJsonList = jsonValue.GetArray("HealthEvents");
    for(unsigned healthEventsIndex = 0; healthEventsIndex < healthEventsJsonList.GetLength(); ++healthEventsIndex)
    {
      m_healthEvents.push_back(healthEventsJsonList[healthEventsIndex].AsObject());
    }
  }

  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }



  return *this;
}
